#
# spec file for package clawsker
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.links2linux.org
#


Name:           clawsker
Version:        1.1.0
Release:        1.1
Summary:        Applet to Edit Claws Mail's Hidden Preferences
License:        GPL-3.0
Group:          Productivity/Networking/Email/Clients
Url:            http://www.claws-mail.org/clawsker.php
Source0:        http://www.claws-mail.org/tools/%{name}-%{version}.tar.xz
BuildRequires:  hicolor-icon-theme
BuildRequires:  update-desktop-files
Requires:       claws-mail >= 3.9.1
Requires:       perl-Gtk2
Recommends:     %{name}-lang
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Clawsker is an applet to edit Claws Mail's hidden preferences.

Claws Mail has a high number of configurable options and, in order to
keep the binary small and fast, some of these preferences which are not
widely used are not provided with a graphical interface for inspection
and/or modification.

Users wanting to edit such preferences had to face editing the
configuration text files directly, now it is possible with a convenient
GTK2 interface using Clawsker.

%lang_package

%prep
%setup -q

%build
make %{?_smp_mflags} PREFIX=%{_prefix}

%install
%make_install  PREFIX=%{_prefix}
%suse_update_desktop_file -G "Edit Claws Mail Settings" -r %{name} Network Email

%find_lang %{name}

%post
%icon_theme_cache_post

%postun
%icon_theme_cache_postun

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_mandir}/man1/%{name}.1%{ext_man}

%files lang -f %{name}.lang

%changelog
* Tue Apr  4 2017 lazy.kent@opensuse.org
- Update to 1.1.0.
  * Added support for new hidden preferences in Claws Mail 3.15.0.
  * Added new hotkeys tab for editing keyboard accelerators
    available in the 'menurc' file of Claws Mail.
  * Fixed bug 3735 'the number of accounts may make main window
    very tall'.
  * Improved internal versions handling and other minor
    refactorings.
  * Updated manual page.
  * Updated French, Dutch, Swedish, Turkish, Danish, Brazilian,
    Portuguese, Catalan, Norwegian Bokmål and Spanish translations.
- Add %%icon_theme_cache_post/un macros.
* Mon Nov 21 2016 lazy.kent@opensuse.org
- Update to 1.0.1.
  * Small code refactoring and some fixes.
  * String management improvements.
  * Complete application icons.
  * Translations:
    + New: Danish.
    + Updated: Swedish, Catalan, Turkish, Indonesian, French,
    Norwegian Bokmål and Spanish.
    + Partially updated: German.
- Do not install ChangeLog.old.
* Sun Oct  9 2016 lazy.kent@opensuse.org
- Update to 1.0.0.
  * New plugins page to edit hidden preferences found in some
    plugins.
  * New accounts page to edit hidden preferences of your accounts.
  * Support hidden preference 'rewrite_first_from' (from git, to
    appear in next Claws Mail release).
  * New information page with detected versions.
  * New CLI flag --read-only/-r to view preferences only (also
    works while Claws Mail is running).
  * Dropped support for Claws Mail versions lower than 3.9.1.
  * Preferences not found in file are initialized to default
    values.
  * Translations:
    + Updated: Turkish, Brazilian Portuguese, Catalan, Dutch,
    Swedish, Norwegian Bokmål and Spanish.
    + Dropped: Indonesian and Italian.
  * And other minor improvements and fixes.
- Changes in 0.7.14.
  * Support hidden preferences 'next_on_delete' (since Claws Mail
    3.13.1) and 'master_passphrase_pbkdf2_rounds' (since 3.14.0).
  * Added application icon.
  * Translations:
    + New: German, Catalan and Turkish.
    + Updated: Dutch, Brazilian Portuguese, Swedish, French and
    Spanish.
    + Dropped: Serbian latin and Serbian cyrillic.
- Remove BuildRequires: claws-mail.
- Add BuildRequires: hicolor-icon-theme.
- Don't use our clawsker.desktop. It has its own now.
* Tue Oct  6 2015 lazy.kent@opensuse.org
- Update to 0.7.13.
  * New Norwegian Bokmål translation.
  * Honor TMPDIR environment variable.
  * Added short version of options and some minor fixes.
  * Updated Spanish translation.
* Fri Oct 24 2014 lazy.kent@opensuse.org
- Update to 0.7.12.
  * New Dutch translation.
  * Fix output encoding and some translation warnings.
- Changes in 0.7.11.
  * Support new hidden preferences added in Claws Mail 3.10.0:
    'address_search_wildcard' and 'folder_search_wildcard'.
  * Fix reading UTF-8 values from clawsrc file.
  * Updated French, Swedish and Spanish translations.
  * Updated manpage, perl code style and some other minor fixes.
- Changes in 0.7.10.
  * Fix stupid bug which caused program not to start.
- Drop clawsker-0.7.9-global_symbol.patch (fixed upstream).
* Tue May 14 2013 lazy.kent@opensuse.org
- Add clawsker-0.7.9-global_symbol.patch: global symbol "@ver"
  requires explicit package name.
* Mon May 13 2013 lazy.kent@opensuse.org
- Update to 0.7.9.
  * Support detection of running Claws Mail up to 3.9.1.
  * Updated Brazilian Portuguese translation.
  * ChangeLog file obsoleted, kept as ChangeLog.old.
* Wed Jul  4 2012 lazy.kent@opensuse.org
- Update to 0.7.8.
  * Supported new hidden properties for Claws Mail 3.8.1 for
    coloured display of patch attachments.
  * Updated French, Spanish and Swedish translations.
- Changes in 0.7.7.
  * Supported new hidden property for Claws Mail 3.8.0:
    'summary_from_show', and old one: 'zero_replacement_char'.
  * New Swedish translation.
  * Updated French and Spanish translations.
  * GUI page has been sligthly improved, and some other fixes.
- Split off language package.
* Sat Nov 12 2011 lazy.kent@opensuse.org
- Requires perl-Gtk2.
- Corrected License tag.
- Use full URL as a source.
- Corrected desktop file.
- Clean up and formatting spec.
* Wed Apr 13 2011 detlef@links2linux.de
- new upstream version <0.7.5>
* Sat Jun 26 2010 detlef@links2linux.de
- initial build for PackMan <0.7.2>
